﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GanttSample.aspx.cs" Inherits="GanttSample.GanttSample" %>

<%@ Register assembly="Syncfusion.EJ" namespace="Syncfusion.JavaScript.Models" tagprefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Gantt Sample</title>
    <script src="Scripts/Gantt/jquery-1.10.2.min.js"></script>
    <script src="Scripts/Gantt/jquery.globalize.min.js"></script>
    <script src="Scripts/Gantt/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/Gantt/jsrender.min.js"></script>
    <script src="Scripts/Gantt/ej.web.all.min.js"></script>
    <link href="Content/Gantt/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/Gantt/ej.theme.min.css" rel="stylesheet" />
       
</head>
<body>
    <form id="form1" runat="server" onsubmit="return false" style="overflow: hidden; padding:0; margin: 0;height:100%;width:100%;">        
         <ej:Gantt ID="Gantt" runat="server" 
             AllowSelection="true" 
             AllowColumnResize="true"
             TaskIdMapping="Id" 
             TaskNameMapping="Name" 
             StartDateMapping="StartDate" 
             EndDateMapping="EndDate" 
             ProgressMapping="PercentDone"
             ChildMapping="Children" 
             AllowGanttChartEditing="true"
             TreeColumnIndex="1" 
             EnableResize="true"
             DurationUnit="day" 
             QueryTaskbarInfo="queryTaskbarInfo"
             BeginEdit="BeginEdit">
            <EditSettings AllowEditing="true" EditMode="cellEditing"/>
             <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,expandall,collapseall" />
            <SizeSettings Width="100%" Height="450px" />
             <ScheduleHeaderSettings ScheduleHeaderType= "month" MonthHeaderFormat="MMM yyyy" WeekHeaderFormat="M/dd"></ScheduleHeaderSettings>
        </ej:Gantt>
        <ej:DatePicker ID="DatePicker" runat="server" ClientSideOnChange="dateChange"></ej:DatePicker>        
    </form>
</body>
</html>
